## passerelle 8.99.post1+ge304554b

=== debian/changelog ===
passerelle (8.99.post1+ge304554b-1~eob130+1) trixie-hotfix; urgency=low

  * (e30455) base: always run availability cron (#112080)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 18 Nov 2025 10:34:20 +0100

passerelle (8.99) trixie-hotfix; urgency=low

  * (36a0a0) misc: unbreak running of jobs in cron command (#111948)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 12 Nov 2025 17:47:15 +0100

passerelle (8.98) trixie-hotfix; urgency=low

  * (afb8e8) soap: allow wsdl loading of no-parameter operations (#111646)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 03 Nov 2025 12:54:03 +0100

passerelle (8.97) trixie-hotfix; urgency=low

  * (f857ac) translation update
  * (e9408f) misc: mark csv connector as legacy (#110161)
  * (37c59b) phonecalls: stop all calls on new one (#111585)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 31 Oct 2025 16:48:40 +0100

passerelle (8.96) trixie-hotfix; urgency=low

  * (4333a6) sftp: adapt to paramiko removal of DSA keys support (#110163)
  * (c217c7) sftp: remove compatibility with very old paramiko version (#110162)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 24 Oct 2025 10:04:44 +0200

passerelle (8.95) trixie-hotfix; urgency=low

  * (dac5d4) debian: remove service entry from .install to let dh install it right
    (#111016)
  * (ba64b1) misc: do not log non overloaded cron methods (#109945)
  * (2bea70) ci: also build package for trixie (#111016)
  * (bd1ad7) tests: remove newline at end of XML content produced by xmlschema
    (#111109)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 20 Oct 2025 11:46:55 +0200

passerelle (8.94) trixie-hotfix; urgency=low

  * (9ea210) astech: use basic auth for authentication only (#110974)
  * (efa4ee) rsa13: add code_per parameter support to endpoint transporteur
    (#110964)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Oct 2025 17:12:20 +0200

passerelle (8.93) trixie-hotfix; urgency=low

  * (c76f1e) translation update
  * (ad5ff1) rsa13: add endpoint to get beneficiary situation (#110739)
  * (956594) rsa13: add endpoint to list transporteur types (#110739)
  * (fa62a6) rsa13: add new endpoint to list financing types (#110739)
  * (fdd9eb) rsa13: add new endpoint to create a contract (#110739)
  * (a1112d) rsa13: in tests vary endpoint info with HTTP method (#110739)
  * (70e619) misc: add support for json schema by HTTP method (#110739)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 10 Oct 2025 16:15:19 +0200

passerelle (8.92) trixie-hotfix; urgency=low

  * (ef61f8) astech: do not crash if no authorization's expiration returned
    (#110347)
  * (45dd57) tests: update string check to include the full sentence (#110152)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 24 Sep 2025 11:48:50 +0200

passerelle (8.91) trixie-hotfix; urgency=low

  * (56023b) utils: add a safe python expression evaluator (#104634)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 04 Sep 2025 11:13:16 +0200

passerelle (8.90) trixie-hotfix; urgency=low

  * (557bce) translation update
  * (e70db1) ci: make diff-cover use coverage.xml (#108999)
  * (78a82c) api_particulier: make missing parameter error more specific (#109109)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 20 Aug 2025 12:37:40 +0200

passerelle (8.89) trixie-hotfix; urgency=low

  * (bed7f1) api_particulier: add participation-familiale-eaje endpoint (#108294)
  * (afab44) misc: limit paramiko version (#108822)
  * (733758) css: break words in endpoint's example urls links (#108403)
  * (8e8419) ci: fix diff-cover status emission by noxfile (#108394)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 05 Aug 2025 16:15:33 +0200

passerelle (8.88) trixie-hotfix; urgency=low

  * (0ddb24) toulouse-maelis: dont call getPersonUnitInfo with empty id (#108029)
  * (a4c750) toulouse-maelis: correct numPerson empty value on
    readSuppliedDocumentValidity (#108032)
  * (35909b) ci: add def keyword when instanciating new Utils() (#108148)
  * (9d16f6) ci: add diff-cover generate & test to nox (#106787)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Jul 2025 11:31:52 +0200

passerelle (8.87) trixie-hotfix; urgency=low

  * (d3c719) misc: prevent possible XSS trough uploaded files in /media/ (#105930)
  * (580576) proxy: typo in check_status' string formating (#107669)
  * (361bd5) misc: avoid exceptions occuring during inspect (#104045)
  * (0e2e90) toulouse-maelis: remove 2 criterias from read-activity-list (#107291)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 02 Jul 2025 08:11:30 +0200

passerelle (8.86) trixie-hotfix; urgency=low

  * (ad1ef8) misc: log resource used by cron jobs (#107043)
  * (dacda2) api_particulier: new endpoint for quotient_familial v3 (#106497)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 19 Jun 2025 10:58:11 +0200

passerelle (8.85) trixie-hotfix; urgency=low

  * (af49d7) noxfile: remove constraint on Pillow (#107061)
  * (65ed73) pdf: fix computation of field bounding box (#107061)
  * (7eb0b6) misc: apply CSRF protection to endpoint used with session
    authentication (#105922)
  * (be1c3a) settings: use SameSite=Lax for the csrf cookie (#105922)
  * (adb75a) tests: make tests pass with pytest 8.4.0 (#106483)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 18 Jun 2025 17:44:47 +0200

passerelle (8.84) trixie-hotfix; urgency=low

  * (159c2b) translation update
  * (8f50d1) toulouse-maelis: add a button to clear the cache (#106047)
  * (966ae2) toulouse-maelis: correct states on nuersery demands (#106044)
  * (21b3ea) toulouse-maelis: do not accept additional properties on update-
    coordinate (#105809)
  * (017934) toulouse-maelis: [tests] check additionnal fields on update-coordinate
    (#105809)
  * (0214b8) toulouse-maelis: add cafpro parameter to json schema (#105806)
  * (447020) toulouse-maelis: [tests] update family wdsl (#105806)
  * (5fcc7e) toulouse-maelis: use true label to store nursery referential (#105528)
  * (9af9e9) translation update
  * (fb031c) opendatasoft: manage variables on query objects (#104230)


## passerelle 8.100.post1+g47b70581

=== debian/changelog ===
passerelle (8.100.post1+g47b70581-1~eob130+1) trixie-eobuilder; urgency=low

  * (47b705) ci: repair test targeting (#111918)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Nov 2025 10:02:05 +0100

passerelle (8.100) trixie-eobuilder; urgency=low

  * (2abf7e) qrcode: convert boolean values for the revoked metadata field (#111952)
  * (ec1125) base_adresse: add support for ?viewbox= on /search/ (#111843)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 14 Nov 2025 11:51:55 +0100

passerelle (8.99) trixie-eobuilder; urgency=low

  * (36a0a0) misc: unbreak running of jobs in cron command (#111948)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 12 Nov 2025 17:47:15 +0100

passerelle (8.98) trixie-eobuilder; urgency=low

  * (afb8e8) soap: allow wsdl loading of no-parameter operations (#111646)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 03 Nov 2025 12:54:03 +0100

## passerelle 8.100.post2+g6a89e36c

=== debian/changelog ===
passerelle (8.100.post2+g6a89e36c-1~eob130+1) trixie-eobuilder; urgency=low

  * (6a89e3) base: always run availability cron (#112080)
  * (47b705) ci: repair test targeting (#111918)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Nov 2025 19:13:06 +0100

## passerelle 8.101.post1+g84069a28

=== debian/changelog ===
passerelle (8.101.post1+g84069a28-1~eob130+1) trixie-eobuilder; urgency=low

  * (84069a) tests: add test on "cron availability" command (#112198)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Nov 2025 17:31:37 +0100

passerelle (8.101) trixie-eobuilder; urgency=low

  * (6a89e3) base: always run availability cron (#112080)
  * (47b705) ci: repair test targeting (#111918)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Nov 2025 19:13:06 +0100

## passerelle 8.102.post1+g6d4b2613

=== debian/changelog ===
passerelle (8.102.post1+g6d4b2613-1~eob130+1) trixie-eobuilder; urgency=low

  * (6d4b26) base-adresse: ignore bounded parameter on calls to search (#112418)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 27 Nov 2025 14:33:23 +0100

passerelle (8.102) trixie-eobuilder; urgency=low

  * (84069a) tests: add test on "cron availability" command (#112198)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Nov 2025 17:31:37 +0100

## passerelle 8.103.post1+gfde0fc68

=== debian/changelog ===
passerelle (8.103.post1+gfde0fc68-1~eob130+1) trixie-eobuilder; urgency=low

  * (fde0fc) base-adresse: use a limit of 5 results on search endpoint (#112428)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 27 Nov 2025 18:53:24 +0100

passerelle (8.103) trixie-eobuilder; urgency=low

  * (6d4b26) base-adresse: ignore bounded parameter on calls to search (#112418)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 27 Nov 2025 14:33:23 +0100

## passerelle 8.103.post2+gef8bc555

=== debian/changelog ===
passerelle (8.103.post2+gef8bc555-1~eob130+1) trixie-eobuilder; urgency=low

  * (ef8bc5) contrib: add initial selligent connector (#112623)
  * (fde0fc) base-adresse: use a limit of 5 results on search endpoint (#112428)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Dec 2025 17:05:28 +0100

## passerelle 8.103.post4+gb7c7a97a

=== debian/changelog ===
passerelle (8.103.post4+gb7c7a97a-1~eob130+1) trixie-eobuilder; urgency=low

  * (b7c7a9) translation update
  * (a188a2) selligent: fix demand creation param var name (#112623)
  * (ef8bc5) contrib: add initial selligent connector (#112623)
  * (fde0fc) base-adresse: use a limit of 5 results on search endpoint (#112428)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 04 Dec 2025 09:32:22 +0100

## passerelle 9.0.post1+gfaf0009a

=== debian/changelog ===
passerelle (9.0.post1+gfaf0009a-1~eob130+1) trixie-eobuilder; urgency=low

  * (faf000) qrcode: omit credentials when posting to tally endpoint (#112756)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 09 Dec 2025 09:28:10 +0100

passerelle (9.0) trixie-eobuilder; urgency=low

  * (b7c7a9) translation update
  * (a188a2) selligent: fix demand creation param var name (#112623)
  * (ef8bc5) contrib: add initial selligent connector (#112623)
  * (fde0fc) base-adresse: use a limit of 5 results on search endpoint (#112428)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 04 Dec 2025 09:32:22 +0100

## passerelle 9.2

=== debian/changelog ===
passerelle (9.2-1~eob130+1) trixie-eobuilder; urgency=low

  * (5d345d) photon: translate viewbox to lat/lon when bounded is not set (#112825)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Dec 2025 13:58:15 +0100

passerelle (9.1) trixie-eobuilder; urgency=low

  * (faf000) qrcode: omit credentials when posting to tally endpoint (#112756)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 09 Dec 2025 09:28:10 +0100

## passerelle 9.2.post1+g21d43aee

=== debian/changelog ===
passerelle (9.2.post1+g21d43aee-1~eob130+1) trixie-eobuilder; urgency=low

  * (21d43a) selligent: remove demand_number from url params (#112951)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 12 Dec 2025 12:05:49 +0100

passerelle (9.2) trixie-eobuilder; urgency=low

  * (5d345d) photon: translate viewbox to lat/lon when bounded is not set (#112825)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Dec 2025 13:58:15 +0100

## passerelle 9.2.post2+g1e75c3ec

=== debian/changelog ===
passerelle (9.2.post2+g1e75c3ec-1~eob130+1) trixie-eobuilder; urgency=low

  * (1e75c3) manager: redesign endpoint's GET parameters display (#108045)
  * (21d43a) selligent: remove demand_number from url params (#112951)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 12 Dec 2025 16:57:35 +0100

## passerelle 9.2.post8+g4da664fa

=== requirements.txt ===
django >= 1.8, <1.12
django-jsonresponse >= 0.10, < 0.11
django-model-utils
requests
-e git+http://repos.entrouvert.org/gadjo.git/#egg=gadjo
phpserialize
pyproj
suds

=== functests/cmis/requirements.txt ===
cmislib
pytest
requests

=== debian/changelog ===
passerelle (9.2.post8+g4da664fa-1~eob130+1) trixie-eobuilder; urgency=low

  * (4da664) a11y: set aria-controls on toggler button when possible (#112733)
  * (f78239) html: use samp instead of obsolete tt (#112733)
  * (7d5f0d) html: use strong for parameter name (#112733)
  * (c11e58) update translations
  * (87ec6d) a11y: use button element with label for endpoint details toggle
    (#112733)
  * (20942d) html: use var instead of i for varname (#112733)
  * (1e75c3) manager: redesign endpoint's GET parameters display (#108045)
  * (21d43a) selligent: remove demand_number from url params (#112951)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 15 Dec 2025 10:19:06 +0100

=== debian/control ===
Source: passerelle
Section: python
Priority: optional
Maintainer: Thomas NOËL <tnoel@entrouvert.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
               sassc,
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/passerelle

Package: python3-passerelle
Architecture: all
Depends: ghostscript,
         pdftk,
         poppler-utils,
         python3-caldav,
         python3-cmislib,
         python3-cryptography,
         python3-dateutil,
         python3-django (>= 2:3.2),
         python3-django-model-utils,
         python3-feedparser,
         python3-gadjo,
         python3-httplib2,
         python3-jsonschema,
         python3-levenshtein,
         python3-lxml,
         python3-pdfrw,
         python3-pil,
         python3-publik-django-templatetags,
         python3-pycryptodome,
         python3-pyexcel-io,
         python3-pyexcel-ods,
         python3-pyexcel-xls,
         python3-pyproj,
         python3-requests,
         python3-roman,
         python3-setuptools,
         python3-suds,
         python3-unidecode,
         python3-uwsgidecorators,
         python3-vobject,
         python3-xmlschema,
         python3-xmltodict,
         python3-zeep (>= 3.2),
         ${misc:Depends},
         ${python3:Depends},
Description: Uniform access to multiple data sources and services (Python module)

Package: passerelle
Architecture: all
Depends: adduser,
         python3-django-mellon,
         python3-django-tenant-schemas,
         python3-hobo,
         python3-memcache,
         python3-passerelle (= ${binary:Version}),
         python3-psycopg2,
         util-linux,
         uwsgi,
         uwsgi-plugin-python3,
         ${misc:Depends},
Recommends: libreoffice-draw-nogui | libreoffice-draw,
            memcached,
            nginx,
            pdftk,
Suggests: postgresql,
Breaks: python-passerelle (<<5.75.post9),
Replaces: python-passerelle (<<5.75.post9),
Description: Uniform access to multiple data sources and services

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=passerelle
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-passerelle/usr/bin/manage.py $(CURDIR)/debian/passerelle/usr/lib/passerelle/manage.py
